List Hardware Assets

This endpoint retrieves a detailed list of hardware assets. The endpoint supports filtering and sorting based on various criteria.

A hardware asset is an active physical device for a client managed by the MSP, enriched with information such as the associated client, assigned contact and other device-specific details.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Filters records by using a query string on the field id.

Supports comparison operators: eq, in.

Query examples:

  • filter[id]=example_value - to filter for exact match.

  • filter[id]=eq:example_value - to filter for exact match.

  • filter[id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string

Filters records by using a query string on the field name.

Supports comparison operators: eq, in, cont.

Query examples:

  • filter[name]=example_value - to filter for exact match.

  • filter[name]=eq:example_value - to filter for exact match.

  • filter[name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

  • filter[name]=cont:word - to filter using a partial match.

string

Filters records by using a query string on the field client.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[client.id]=example_value - to filter for exact match.

  • filter[client.id]=eq:example_value - to filter for exact match.

  • filter[client.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string

Filters records by using a query string on the field client.name.

Supports comparison operators: eq, in, cont.

Query examples:

  • filter[client.name]=example_value - to filter for exact match.

  • filter[client.name]=eq:example_value - to filter for exact match.

  • filter[client.name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

  • filter[client.name]=cont:word - to filter using a partial match.

string

Filters records by using a query string on the field contact.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[contact.id]=example_value - to filter for exact match.

  • filter[contact.id]=eq:example_value - to filter for exact match.

  • filter[contact.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string

Filters records by using a query string on the field manufacturer.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[manufacturer.id]=example_value - to filter for exact match.

  • filter[manufacturer.id]=eq:example_value - to filter for exact match.

  • filter[manufacturer.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string

Filters records by using a query string on the field manufacturer.name.

Supports comparison operators: eq, in, cont.

Query examples:

  • filter[manufacturer.name]=example_value - to filter for exact match.

  • filter[manufacturer.name]=eq:example_value - to filter for exact match.

  • filter[manufacturer.name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

  • filter[manufacturer.name]=cont:word - to filter using a partial match.

string

Filters records by using a query string on the field model.number.

Supports comparison operators: eq, in, cont.

Query examples:

  • filter[model.number]=example_value - to filter for exact match.

  • filter[model.number]=eq:example_value - to filter for exact match.

  • filter[model.number]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

  • filter[model.number]=cont:word - to filter using a partial match.

string

Filters records by using a query string on the field serial_number.

Supports comparison operators: eq, in.

Query examples:

  • filter[serial_number]=example_value - to filter for exact match.

  • filter[serial_number]=eq:example_value - to filter for exact match.

  • filter[serial_number]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string

Filters records by using a query string on the field type.

Possible values: WORKSTATION, IMAGING, SERVER, NETWORK, MOBILE, VIRTUAL.

Supports comparison operators: eq, in.

Query examples:

  • filter[type]=WORKSTATION - to filter for exact match.

  • filter[type]=eq:WORKSTATION - to filter for exact match.

  • filter[type]=in:WORKSTATION,IMAGING,SERVER - to filter when any item in the list matches.

string

Filters records by using a query string on the field location_name.

Supports comparison operators: eq, in, cont.

Query examples:

  • filter[location_name]=example_value - to filter for exact match.

  • filter[location_name]=eq:example_value - to filter for exact match.

  • filter[location_name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

  • filter[location_name]=cont:word - to filter using a partial match.

string

Filters records by using a query string on the field configuration.cpu.name.

Supports comparison operators: eq, in.

Query examples:

  • filter[configuration.cpu.name]=example_value - to filter for exact match.

  • filter[configuration.cpu.name]=eq:example_value - to filter for exact match.

  • filter[configuration.cpu.name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string

Filters records by using a query string on the field configuration.cpu.manufacturer_name.

Supports comparison operators: eq, in, cont.

Query examples:

  • filter[configuration.cpu.manufacturer_name]=example_value - to filter for exact match.

  • filter[configuration.cpu.manufacturer_name]=eq:example_value - to filter for exact match.

  • filter[configuration.cpu.manufacturer_name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

  • filter[configuration.cpu.manufacturer_name]=cont:word - to filter using a partial match.

string

Filters records by using a query string on the field configuration.cpu.manufacturer_id.

Supports comparison operators: eq, in.

Query examples:

  • filter[configuration.cpu.manufacturer_id]=example_value - to filter for exact match.

  • filter[configuration.cpu.manufacturer_id]=eq:example_value - to filter for exact match.

  • filter[configuration.cpu.manufacturer_id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string

Filters records by using a query string on the field configuration.ram_bytes.

Supports comparison operators: eq, gt, gte, lt, lte.

Query examples:

  • filter[configuration.ram_bytes]=42 - to filter for exact match.

  • filter[configuration.ram_bytes]=eq:42 - to filter for exact match.

  • filter[configuration.ram_bytes]=gt:42 - to filter for greater than

  • filter[configuration.ram_bytes]=gte:42 - to filter for greater than or equal to

  • filter[configuration.ram_bytes]=lt:42 - to filter for less than

  • filter[configuration.ram_bytes]=lte:42 - to filter for less than or equal to

string

Filters records by using a query string on the field software.operating_system.

Supports comparison operators: eq, in.

Query examples:

  • filter[software.operating_system]=example_value - to filter for exact match.

  • filter[software.operating_system]=eq:example_value - to filter for exact match.

  • filter[software.operating_system]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string

Filters records by using a query string on the field software.antivirus_info.status.

Possible values: UNKNOWN, DISABLED, RUNNING.

Supports comparison operators: eq, in.

Query examples:

  • filter[software.antivirus_info.status]=UNKNOWN - to filter for exact match.

  • filter[software.antivirus_info.status]=eq:UNKNOWN - to filter for exact match.

  • filter[software.antivirus_info.status]=in:UNKNOWN,DISABLED,RUNNING - to filter when any item in the list matches.

string

Filters records by using a query string on the field software.antivirus_info.definition_status.

Possible values: OUTOFDATE, UNKNOWN, UPTODATE.

Supports comparison operators: eq, in.

Query examples:

  • filter[software.antivirus_info.definition_status]=OUTOFDATE - to filter for exact match.

  • filter[software.antivirus_info.definition_status]=eq:OUTOFDATE - to filter for exact match.

  • filter[software.antivirus_info.definition_status]=in:OUTOFDATE,UNKNOWN,UPTODATE - to filter when any item in the list matches.

string

Filters records by using a query string on the field software.office_suite_info.name.

Supports comparison operators: eq, in.

Query examples:

  • filter[software.office_suite_info.name]=example_value - to filter for exact match.

  • filter[software.office_suite_info.name]=eq:example_value - to filter for exact match.

  • filter[software.office_suite_info.name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string

Filters records by using a query string on the field software.office_suite_info.version.

Supports comparison operators: eq, in.

Query examples:

  • filter[software.office_suite_info.version]=example_value - to filter for exact match.

  • filter[software.office_suite_info.version]=eq:example_value - to filter for exact match.

  • filter[software.office_suite_info.version]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string

Filters records by using a query string on the field record_created_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[record_created_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[record_created_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[record_created_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[record_created_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string

Filters records by using a query string on the field record_updated_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[record_updated_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[record_updated_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[record_updated_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[record_updated_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

sort
array of strings

One or more sortable fields, separated by commas. Prefix with '+' to sort ascending or '-' to sort descending.

sort
int32
1 to 200

The number of records to be returned in a single page

string

The pointer used to fetch a certain page of records

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/json
text/plain